// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/order/model_cancel_fast_deal_item.proto

package order

import (
	_ "github.com/golang/protobuf/ptypes/timestamp"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type CancelFastDealItem_Status int32

const (
	CancelFastDealItem_ACTIVE CancelFastDealItem_Status = 0
	CancelFastDealItem_REJECT CancelFastDealItem_Status = 1
	CancelFastDealItem_DONE   CancelFastDealItem_Status = 2
)

// Enum value maps for CancelFastDealItem_Status.
var (
	CancelFastDealItem_Status_name = map[int32]string{
		0: "ACTIVE",
		1: "REJECT",
		2: "DONE",
	}
	CancelFastDealItem_Status_value = map[string]int32{
		"ACTIVE": 0,
		"REJECT": 1,
		"DONE":   2,
	}
)

func (x CancelFastDealItem_Status) Enum() *CancelFastDealItem_Status {
	p := new(CancelFastDealItem_Status)
	*p = x
	return p
}

func (x CancelFastDealItem_Status) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (CancelFastDealItem_Status) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_order_model_cancel_fast_deal_item_proto_enumTypes[0].Descriptor()
}

func (CancelFastDealItem_Status) Type() protoreflect.EnumType {
	return &file_v1_order_model_cancel_fast_deal_item_proto_enumTypes[0]
}

func (x CancelFastDealItem_Status) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use CancelFastDealItem_Status.Descriptor instead.
func (CancelFastDealItem_Status) EnumDescriptor() ([]byte, []int) {
	return file_v1_order_model_cancel_fast_deal_item_proto_rawDescGZIP(), []int{0, 0}
}

type CancelFastDealItem struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// id (generated by system)
	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	// (generated by system)
	ExternalId string `protobuf:"bytes,2,opt,name=external_id,json=externalId,proto3" json:"external_id,omitempty"`
	// status
	Status                 CancelFastDealItem_Status `protobuf:"varint,3,opt,name=status,proto3,enum=fcp.order.v1.order.CancelFastDealItem_Status" json:"status,omitempty"`
	FastDealItemId         int64                     `protobuf:"varint,8,opt,name=fast_deal_item_id,json=fastDealItemId,proto3" json:"fast_deal_item_id,omitempty"`
	FastDealItemExternalId string                    `protobuf:"bytes,4,opt,name=fast_deal_item_external_id,json=fastDealItemExternalId,proto3" json:"fast_deal_item_external_id,omitempty"`
	// reason
	Reason        CancelClaimReason `protobuf:"varint,5,opt,name=reason,proto3,enum=fcp.order.v1.order.CancelClaimReason" json:"reason,omitempty"`
	ReasonComment string            `protobuf:"bytes,6,opt,name=reason_comment,json=reasonComment,proto3" json:"reason_comment,omitempty"`
	// Output only
	AdminId string `protobuf:"bytes,7,opt,name=admin_id,json=adminId,proto3" json:"admin_id,omitempty"`
	// final admin decision description
	Description string `protobuf:"bytes,21,opt,name=description,proto3" json:"description,omitempty"`
	Audit       *Audit `protobuf:"bytes,22,opt,name=audit,proto3" json:"audit,omitempty"`
}

func (x *CancelFastDealItem) Reset() {
	*x = CancelFastDealItem{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CancelFastDealItem) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CancelFastDealItem) ProtoMessage() {}

func (x *CancelFastDealItem) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CancelFastDealItem.ProtoReflect.Descriptor instead.
func (*CancelFastDealItem) Descriptor() ([]byte, []int) {
	return file_v1_order_model_cancel_fast_deal_item_proto_rawDescGZIP(), []int{0}
}

func (x *CancelFastDealItem) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *CancelFastDealItem) GetExternalId() string {
	if x != nil {
		return x.ExternalId
	}
	return ""
}

func (x *CancelFastDealItem) GetStatus() CancelFastDealItem_Status {
	if x != nil {
		return x.Status
	}
	return CancelFastDealItem_ACTIVE
}

func (x *CancelFastDealItem) GetFastDealItemId() int64 {
	if x != nil {
		return x.FastDealItemId
	}
	return 0
}

func (x *CancelFastDealItem) GetFastDealItemExternalId() string {
	if x != nil {
		return x.FastDealItemExternalId
	}
	return ""
}

func (x *CancelFastDealItem) GetReason() CancelClaimReason {
	if x != nil {
		return x.Reason
	}
	return CancelClaimReason_NOT_SPECIFIED
}

func (x *CancelFastDealItem) GetReasonComment() string {
	if x != nil {
		return x.ReasonComment
	}
	return ""
}

func (x *CancelFastDealItem) GetAdminId() string {
	if x != nil {
		return x.AdminId
	}
	return ""
}

func (x *CancelFastDealItem) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *CancelFastDealItem) GetAudit() *Audit {
	if x != nil {
		return x.Audit
	}
	return nil
}

//---------
// List
//---------
type CancelFastDealItemFilter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Statuses []CancelFastDealItem_Status `protobuf:"varint,1,rep,packed,name=statuses,proto3,enum=fcp.order.v1.order.CancelFastDealItem_Status" json:"statuses,omitempty"`
	// LiKE > 3 symbol
	Reason        *CancelClaimReasonValue `protobuf:"bytes,2,opt,name=reason,proto3" json:"reason,omitempty"`
	ReasonComment *wrappers.StringValue   `protobuf:"bytes,3,opt,name=reason_comment,json=reasonComment,proto3" json:"reason_comment,omitempty"`
	// fast deal id
	FastDealItemId *wrappers.Int64Value `protobuf:"bytes,7,opt,name=fast_deal_item_id,json=fastDealItemId,proto3" json:"fast_deal_item_id,omitempty"`
	// LiKE > 3 symbol
	ExternalId *wrappers.StringValue `protobuf:"bytes,5,opt,name=external_id,json=externalId,proto3" json:"external_id,omitempty"`
	// LiKE > 3 symbol
	Description *wrappers.StringValue `protobuf:"bytes,6,opt,name=description,proto3" json:"description,omitempty"`
	Updated     *TimeRange            `protobuf:"bytes,12,opt,name=updated,proto3" json:"updated,omitempty"`
	CreatedName *wrappers.StringValue `protobuf:"bytes,13,opt,name=created_name,json=createdName,proto3" json:"created_name,omitempty"` // LIKE
	Created     *TimeRange            `protobuf:"bytes,14,opt,name=created,proto3" json:"created,omitempty"`
	State       *StateValue           `protobuf:"bytes,15,opt,name=state,proto3" json:"state,omitempty"`
	CreatedBy   *wrappers.StringValue `protobuf:"bytes,16,opt,name=created_by,json=createdBy,proto3" json:"created_by,omitempty"`
	UpdatedBy   *wrappers.StringValue `protobuf:"bytes,17,opt,name=updated_by,json=updatedBy,proto3" json:"updated_by,omitempty"`
}

func (x *CancelFastDealItemFilter) Reset() {
	*x = CancelFastDealItemFilter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CancelFastDealItemFilter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CancelFastDealItemFilter) ProtoMessage() {}

func (x *CancelFastDealItemFilter) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CancelFastDealItemFilter.ProtoReflect.Descriptor instead.
func (*CancelFastDealItemFilter) Descriptor() ([]byte, []int) {
	return file_v1_order_model_cancel_fast_deal_item_proto_rawDescGZIP(), []int{1}
}

func (x *CancelFastDealItemFilter) GetStatuses() []CancelFastDealItem_Status {
	if x != nil {
		return x.Statuses
	}
	return nil
}

func (x *CancelFastDealItemFilter) GetReason() *CancelClaimReasonValue {
	if x != nil {
		return x.Reason
	}
	return nil
}

func (x *CancelFastDealItemFilter) GetReasonComment() *wrappers.StringValue {
	if x != nil {
		return x.ReasonComment
	}
	return nil
}

func (x *CancelFastDealItemFilter) GetFastDealItemId() *wrappers.Int64Value {
	if x != nil {
		return x.FastDealItemId
	}
	return nil
}

func (x *CancelFastDealItemFilter) GetExternalId() *wrappers.StringValue {
	if x != nil {
		return x.ExternalId
	}
	return nil
}

func (x *CancelFastDealItemFilter) GetDescription() *wrappers.StringValue {
	if x != nil {
		return x.Description
	}
	return nil
}

func (x *CancelFastDealItemFilter) GetUpdated() *TimeRange {
	if x != nil {
		return x.Updated
	}
	return nil
}

func (x *CancelFastDealItemFilter) GetCreatedName() *wrappers.StringValue {
	if x != nil {
		return x.CreatedName
	}
	return nil
}

func (x *CancelFastDealItemFilter) GetCreated() *TimeRange {
	if x != nil {
		return x.Created
	}
	return nil
}

func (x *CancelFastDealItemFilter) GetState() *StateValue {
	if x != nil {
		return x.State
	}
	return nil
}

func (x *CancelFastDealItemFilter) GetCreatedBy() *wrappers.StringValue {
	if x != nil {
		return x.CreatedBy
	}
	return nil
}

func (x *CancelFastDealItemFilter) GetUpdatedBy() *wrappers.StringValue {
	if x != nil {
		return x.UpdatedBy
	}
	return nil
}

type ListCancelFastDealItemRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *CancelFastDealItemFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
	// status, created
	Sorting    []*Sorting         `protobuf:"bytes,2,rep,name=sorting,proto3" json:"sorting,omitempty"`
	Pagination *PaginationRequest `protobuf:"bytes,3,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListCancelFastDealItemRequest) Reset() {
	*x = ListCancelFastDealItemRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListCancelFastDealItemRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListCancelFastDealItemRequest) ProtoMessage() {}

func (x *ListCancelFastDealItemRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListCancelFastDealItemRequest.ProtoReflect.Descriptor instead.
func (*ListCancelFastDealItemRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_cancel_fast_deal_item_proto_rawDescGZIP(), []int{2}
}

func (x *ListCancelFastDealItemRequest) GetFilter() *CancelFastDealItemFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

func (x *ListCancelFastDealItemRequest) GetSorting() []*Sorting {
	if x != nil {
		return x.Sorting
	}
	return nil
}

func (x *ListCancelFastDealItemRequest) GetPagination() *PaginationRequest {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type ListCancelFastDealItemResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items      []*CancelFastDealItem `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
	Pagination *PaginationResponse   `protobuf:"bytes,2,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListCancelFastDealItemResponse) Reset() {
	*x = ListCancelFastDealItemResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListCancelFastDealItemResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListCancelFastDealItemResponse) ProtoMessage() {}

func (x *ListCancelFastDealItemResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListCancelFastDealItemResponse.ProtoReflect.Descriptor instead.
func (*ListCancelFastDealItemResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_model_cancel_fast_deal_item_proto_rawDescGZIP(), []int{3}
}

func (x *ListCancelFastDealItemResponse) GetItems() []*CancelFastDealItem {
	if x != nil {
		return x.Items
	}
	return nil
}

func (x *ListCancelFastDealItemResponse) GetPagination() *PaginationResponse {
	if x != nil {
		return x.Pagination
	}
	return nil
}

// Get
type GetCancelFastDealItemRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *GetCancelFastDealItemRequest) Reset() {
	*x = GetCancelFastDealItemRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetCancelFastDealItemRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetCancelFastDealItemRequest) ProtoMessage() {}

func (x *GetCancelFastDealItemRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetCancelFastDealItemRequest.ProtoReflect.Descriptor instead.
func (*GetCancelFastDealItemRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_cancel_fast_deal_item_proto_rawDescGZIP(), []int{4}
}

func (x *GetCancelFastDealItemRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type GetCancelFastDealItemResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *CancelFastDealItem `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *GetCancelFastDealItemResponse) Reset() {
	*x = GetCancelFastDealItemResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetCancelFastDealItemResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetCancelFastDealItemResponse) ProtoMessage() {}

func (x *GetCancelFastDealItemResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetCancelFastDealItemResponse.ProtoReflect.Descriptor instead.
func (*GetCancelFastDealItemResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_model_cancel_fast_deal_item_proto_rawDescGZIP(), []int{5}
}

func (x *GetCancelFastDealItemResponse) GetItem() *CancelFastDealItem {
	if x != nil {
		return x.Item
	}
	return nil
}

type SaveCancelFastDealItemRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *CancelFastDealItem `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *SaveCancelFastDealItemRequest) Reset() {
	*x = SaveCancelFastDealItemRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveCancelFastDealItemRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveCancelFastDealItemRequest) ProtoMessage() {}

func (x *SaveCancelFastDealItemRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveCancelFastDealItemRequest.ProtoReflect.Descriptor instead.
func (*SaveCancelFastDealItemRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_cancel_fast_deal_item_proto_rawDescGZIP(), []int{6}
}

func (x *SaveCancelFastDealItemRequest) GetItem() *CancelFastDealItem {
	if x != nil {
		return x.Item
	}
	return nil
}

type SaveCancelFastDealItemResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *SaveCancelFastDealItemResponse) Reset() {
	*x = SaveCancelFastDealItemResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveCancelFastDealItemResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveCancelFastDealItemResponse) ProtoMessage() {}

func (x *SaveCancelFastDealItemResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveCancelFastDealItemResponse.ProtoReflect.Descriptor instead.
func (*SaveCancelFastDealItemResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_model_cancel_fast_deal_item_proto_rawDescGZIP(), []int{7}
}

func (x *SaveCancelFastDealItemResponse) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type CancelFastDealItem_StatusValue struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value CancelFastDealItem_Status `protobuf:"varint,1,opt,name=value,proto3,enum=fcp.order.v1.order.CancelFastDealItem_Status" json:"value,omitempty"`
}

func (x *CancelFastDealItem_StatusValue) Reset() {
	*x = CancelFastDealItem_StatusValue{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CancelFastDealItem_StatusValue) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CancelFastDealItem_StatusValue) ProtoMessage() {}

func (x *CancelFastDealItem_StatusValue) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CancelFastDealItem_StatusValue.ProtoReflect.Descriptor instead.
func (*CancelFastDealItem_StatusValue) Descriptor() ([]byte, []int) {
	return file_v1_order_model_cancel_fast_deal_item_proto_rawDescGZIP(), []int{0, 0}
}

func (x *CancelFastDealItem_StatusValue) GetValue() CancelFastDealItem_Status {
	if x != nil {
		return x.Value
	}
	return CancelFastDealItem_ACTIVE
}

var File_v1_order_model_cancel_fast_deal_item_proto protoreflect.FileDescriptor

var file_v1_order_model_cancel_fast_deal_item_proto_rawDesc = []byte{
	0x0a, 0x2a, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c,
	0x5f, 0x63, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x5f, 0x66, 0x61, 0x73, 0x74, 0x5f, 0x64, 0x65, 0x61,
	0x6c, 0x5f, 0x69, 0x74, 0x65, 0x6d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x12, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x1a, 0x1e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62,
	0x75, 0x66, 0x2f, 0x77, 0x72, 0x61, 0x70, 0x70, 0x65, 0x72, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x1a, 0x15, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x13, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2f, 0x65, 0x6e, 0x75, 0x6d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x19, 0x76,
	0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x5f, 0x64, 0x65,
	0x61, 0x6c, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xcd, 0x04, 0x0a, 0x12, 0x43, 0x61, 0x6e,
	0x63, 0x65, 0x6c, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x12,
	0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12,
	0x1f, 0x0a, 0x0b, 0x65, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x5f, 0x69, 0x64, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x65, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x49, 0x64,
	0x12, 0x45, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e,
	0x32, 0x2d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x46, 0x61, 0x73, 0x74,
	0x44, 0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52,
	0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x29, 0x0a, 0x11, 0x66, 0x61, 0x73, 0x74, 0x5f,
	0x64, 0x65, 0x61, 0x6c, 0x5f, 0x69, 0x74, 0x65, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x08, 0x20, 0x01,
	0x28, 0x03, 0x52, 0x0e, 0x66, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d,
	0x49, 0x64, 0x12, 0x3a, 0x0a, 0x1a, 0x66, 0x61, 0x73, 0x74, 0x5f, 0x64, 0x65, 0x61, 0x6c, 0x5f,
	0x69, 0x74, 0x65, 0x6d, 0x5f, 0x65, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x5f, 0x69, 0x64,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x16, 0x66, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c,
	0x49, 0x74, 0x65, 0x6d, 0x45, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x49, 0x64, 0x12, 0x3d,
	0x0a, 0x06, 0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x25,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x52,
	0x65, 0x61, 0x73, 0x6f, 0x6e, 0x52, 0x06, 0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x12, 0x25, 0x0a,
	0x0e, 0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x65, 0x6e, 0x74, 0x18,
	0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x43, 0x6f, 0x6d,
	0x6d, 0x65, 0x6e, 0x74, 0x12, 0x19, 0x0a, 0x08, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x5f, 0x69, 0x64,
	0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x49, 0x64, 0x12,
	0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x15,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f,
	0x6e, 0x12, 0x2f, 0x0a, 0x05, 0x61, 0x75, 0x64, 0x69, 0x74, 0x18, 0x16, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x19, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x41, 0x75, 0x64, 0x69, 0x74, 0x52, 0x05, 0x61, 0x75, 0x64,
	0x69, 0x74, 0x1a, 0x52, 0x0a, 0x0b, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x56, 0x61, 0x6c, 0x75,
	0x65, 0x12, 0x43, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e,
	0x32, 0x2d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x46, 0x61, 0x73, 0x74,
	0x44, 0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x2a, 0x0a, 0x06, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x12, 0x0a, 0x0a, 0x06, 0x41, 0x43, 0x54, 0x49, 0x56, 0x45, 0x10, 0x00, 0x12, 0x0a, 0x0a, 0x06,
	0x52, 0x45, 0x4a, 0x45, 0x43, 0x54, 0x10, 0x01, 0x12, 0x08, 0x0a, 0x04, 0x44, 0x4f, 0x4e, 0x45,
	0x10, 0x02, 0x4a, 0x04, 0x08, 0x0a, 0x10, 0x15, 0x22, 0xa4, 0x06, 0x0a, 0x18, 0x43, 0x61, 0x6e,
	0x63, 0x65, 0x6c, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x46,
	0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x49, 0x0a, 0x08, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x65,
	0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0e, 0x32, 0x2d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x61, 0x6e,
	0x63, 0x65, 0x6c, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x2e,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x08, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x65, 0x73,
	0x12, 0x42, 0x0a, 0x06, 0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x2a, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69,
	0x6d, 0x52, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x06, 0x72, 0x65,
	0x61, 0x73, 0x6f, 0x6e, 0x12, 0x43, 0x0a, 0x0e, 0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x5f, 0x63,
	0x6f, 0x6d, 0x6d, 0x65, 0x6e, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53,
	0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x0d, 0x72, 0x65, 0x61, 0x73,
	0x6f, 0x6e, 0x43, 0x6f, 0x6d, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x46, 0x0a, 0x11, 0x66, 0x61, 0x73,
	0x74, 0x5f, 0x64, 0x65, 0x61, 0x6c, 0x5f, 0x69, 0x74, 0x65, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x07,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x49, 0x6e, 0x74, 0x36, 0x34, 0x56, 0x61, 0x6c, 0x75,
	0x65, 0x52, 0x0e, 0x66, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x49,
	0x64, 0x12, 0x3d, 0x0a, 0x0b, 0x65, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x5f, 0x69, 0x64,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56,
	0x61, 0x6c, 0x75, 0x65, 0x52, 0x0a, 0x65, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x49, 0x64,
	0x12, 0x3e, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18,
	0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61,
	0x6c, 0x75, 0x65, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e,
	0x12, 0x37, 0x0a, 0x07, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x18, 0x0c, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x52, 0x61, 0x6e, 0x67, 0x65,
	0x52, 0x07, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x12, 0x3f, 0x0a, 0x0c, 0x63, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x64, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x0d, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x0b, 0x63,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x37, 0x0a, 0x07, 0x63, 0x72,
	0x65, 0x61, 0x74, 0x65, 0x64, 0x18, 0x0e, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x54, 0x69, 0x6d, 0x65, 0x52, 0x61, 0x6e, 0x67, 0x65, 0x52, 0x07, 0x63, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x64, 0x12, 0x34, 0x0a, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x18, 0x0f, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x65, 0x56, 0x61, 0x6c,
	0x75, 0x65, 0x52, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x12, 0x3b, 0x0a, 0x0a, 0x63, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x64, 0x5f, 0x62, 0x79, 0x18, 0x10, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e,
	0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x63, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x64, 0x42, 0x79, 0x12, 0x3b, 0x0a, 0x0a, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x64, 0x5f, 0x62, 0x79, 0x18, 0x11, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72,
	0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x64, 0x42, 0x79, 0x4a, 0x04, 0x08, 0x04, 0x10, 0x05, 0x4a, 0x04, 0x08, 0x08, 0x10, 0x0c, 0x22,
	0xe3, 0x01, 0x0a, 0x1d, 0x4c, 0x69, 0x73, 0x74, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x46, 0x61,
	0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x44, 0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x46, 0x61, 0x73,
	0x74, 0x44, 0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52,
	0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x35, 0x0a, 0x07, 0x73, 0x6f, 0x72, 0x74, 0x69,
	0x6e, 0x67, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x53, 0x6f,
	0x72, 0x74, 0x69, 0x6e, 0x67, 0x52, 0x07, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x12, 0x45,
	0x0a, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x52, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0xa6, 0x01, 0x0a, 0x1e, 0x4c, 0x69, 0x73, 0x74, 0x43, 0x61,
	0x6e, 0x63, 0x65, 0x6c, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x3c, 0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d,
	0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x61, 0x6e,
	0x63, 0x65, 0x6c, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x52,
	0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x12, 0x46, 0x0a, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x52, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x2e,
	0x0a, 0x1c, 0x47, 0x65, 0x74, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x46, 0x61, 0x73, 0x74, 0x44,
	0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x5b,
	0x0a, 0x1d, 0x47, 0x65, 0x74, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x46, 0x61, 0x73, 0x74, 0x44,
	0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x3a, 0x0a, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61,
	0x6c, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x22, 0x5b, 0x0a, 0x1d, 0x53,
	0x61, 0x76, 0x65, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61,
	0x6c, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x3a, 0x0a, 0x04,
	0x69, 0x74, 0x65, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x49, 0x74,
	0x65, 0x6d, 0x52, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x22, 0x30, 0x0a, 0x1e, 0x53, 0x61, 0x76, 0x65,
	0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x49, 0x74,
	0x65, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x42, 0x4b, 0x0a, 0x15, 0x63, 0x6f,
	0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x50, 0x01, 0x5a, 0x2d, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f,
	0x6d, 0x2f, 0x66, 0x63, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2f, 0x61, 0x70, 0x69,
	0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x2f, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_order_model_cancel_fast_deal_item_proto_rawDescOnce sync.Once
	file_v1_order_model_cancel_fast_deal_item_proto_rawDescData = file_v1_order_model_cancel_fast_deal_item_proto_rawDesc
)

func file_v1_order_model_cancel_fast_deal_item_proto_rawDescGZIP() []byte {
	file_v1_order_model_cancel_fast_deal_item_proto_rawDescOnce.Do(func() {
		file_v1_order_model_cancel_fast_deal_item_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_order_model_cancel_fast_deal_item_proto_rawDescData)
	})
	return file_v1_order_model_cancel_fast_deal_item_proto_rawDescData
}

var file_v1_order_model_cancel_fast_deal_item_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_v1_order_model_cancel_fast_deal_item_proto_msgTypes = make([]protoimpl.MessageInfo, 9)
var file_v1_order_model_cancel_fast_deal_item_proto_goTypes = []interface{}{
	(CancelFastDealItem_Status)(0),         // 0: fcp.order.v1.order.CancelFastDealItem.Status
	(*CancelFastDealItem)(nil),             // 1: fcp.order.v1.order.CancelFastDealItem
	(*CancelFastDealItemFilter)(nil),       // 2: fcp.order.v1.order.CancelFastDealItemFilter
	(*ListCancelFastDealItemRequest)(nil),  // 3: fcp.order.v1.order.ListCancelFastDealItemRequest
	(*ListCancelFastDealItemResponse)(nil), // 4: fcp.order.v1.order.ListCancelFastDealItemResponse
	(*GetCancelFastDealItemRequest)(nil),   // 5: fcp.order.v1.order.GetCancelFastDealItemRequest
	(*GetCancelFastDealItemResponse)(nil),  // 6: fcp.order.v1.order.GetCancelFastDealItemResponse
	(*SaveCancelFastDealItemRequest)(nil),  // 7: fcp.order.v1.order.SaveCancelFastDealItemRequest
	(*SaveCancelFastDealItemResponse)(nil), // 8: fcp.order.v1.order.SaveCancelFastDealItemResponse
	(*CancelFastDealItem_StatusValue)(nil), // 9: fcp.order.v1.order.CancelFastDealItem.StatusValue
	(CancelClaimReason)(0),                 // 10: fcp.order.v1.order.CancelClaimReason
	(*Audit)(nil),                          // 11: fcp.order.v1.order.Audit
	(*CancelClaimReasonValue)(nil),         // 12: fcp.order.v1.order.CancelClaimReasonValue
	(*wrappers.StringValue)(nil),           // 13: google.protobuf.StringValue
	(*wrappers.Int64Value)(nil),            // 14: google.protobuf.Int64Value
	(*TimeRange)(nil),                      // 15: fcp.order.v1.order.TimeRange
	(*StateValue)(nil),                     // 16: fcp.order.v1.order.StateValue
	(*Sorting)(nil),                        // 17: fcp.order.v1.order.Sorting
	(*PaginationRequest)(nil),              // 18: fcp.order.v1.order.PaginationRequest
	(*PaginationResponse)(nil),             // 19: fcp.order.v1.order.PaginationResponse
}
var file_v1_order_model_cancel_fast_deal_item_proto_depIdxs = []int32{
	0,  // 0: fcp.order.v1.order.CancelFastDealItem.status:type_name -> fcp.order.v1.order.CancelFastDealItem.Status
	10, // 1: fcp.order.v1.order.CancelFastDealItem.reason:type_name -> fcp.order.v1.order.CancelClaimReason
	11, // 2: fcp.order.v1.order.CancelFastDealItem.audit:type_name -> fcp.order.v1.order.Audit
	0,  // 3: fcp.order.v1.order.CancelFastDealItemFilter.statuses:type_name -> fcp.order.v1.order.CancelFastDealItem.Status
	12, // 4: fcp.order.v1.order.CancelFastDealItemFilter.reason:type_name -> fcp.order.v1.order.CancelClaimReasonValue
	13, // 5: fcp.order.v1.order.CancelFastDealItemFilter.reason_comment:type_name -> google.protobuf.StringValue
	14, // 6: fcp.order.v1.order.CancelFastDealItemFilter.fast_deal_item_id:type_name -> google.protobuf.Int64Value
	13, // 7: fcp.order.v1.order.CancelFastDealItemFilter.external_id:type_name -> google.protobuf.StringValue
	13, // 8: fcp.order.v1.order.CancelFastDealItemFilter.description:type_name -> google.protobuf.StringValue
	15, // 9: fcp.order.v1.order.CancelFastDealItemFilter.updated:type_name -> fcp.order.v1.order.TimeRange
	13, // 10: fcp.order.v1.order.CancelFastDealItemFilter.created_name:type_name -> google.protobuf.StringValue
	15, // 11: fcp.order.v1.order.CancelFastDealItemFilter.created:type_name -> fcp.order.v1.order.TimeRange
	16, // 12: fcp.order.v1.order.CancelFastDealItemFilter.state:type_name -> fcp.order.v1.order.StateValue
	13, // 13: fcp.order.v1.order.CancelFastDealItemFilter.created_by:type_name -> google.protobuf.StringValue
	13, // 14: fcp.order.v1.order.CancelFastDealItemFilter.updated_by:type_name -> google.protobuf.StringValue
	2,  // 15: fcp.order.v1.order.ListCancelFastDealItemRequest.filter:type_name -> fcp.order.v1.order.CancelFastDealItemFilter
	17, // 16: fcp.order.v1.order.ListCancelFastDealItemRequest.sorting:type_name -> fcp.order.v1.order.Sorting
	18, // 17: fcp.order.v1.order.ListCancelFastDealItemRequest.pagination:type_name -> fcp.order.v1.order.PaginationRequest
	1,  // 18: fcp.order.v1.order.ListCancelFastDealItemResponse.items:type_name -> fcp.order.v1.order.CancelFastDealItem
	19, // 19: fcp.order.v1.order.ListCancelFastDealItemResponse.pagination:type_name -> fcp.order.v1.order.PaginationResponse
	1,  // 20: fcp.order.v1.order.GetCancelFastDealItemResponse.item:type_name -> fcp.order.v1.order.CancelFastDealItem
	1,  // 21: fcp.order.v1.order.SaveCancelFastDealItemRequest.item:type_name -> fcp.order.v1.order.CancelFastDealItem
	0,  // 22: fcp.order.v1.order.CancelFastDealItem.StatusValue.value:type_name -> fcp.order.v1.order.CancelFastDealItem.Status
	23, // [23:23] is the sub-list for method output_type
	23, // [23:23] is the sub-list for method input_type
	23, // [23:23] is the sub-list for extension type_name
	23, // [23:23] is the sub-list for extension extendee
	0,  // [0:23] is the sub-list for field type_name
}

func init() { file_v1_order_model_cancel_fast_deal_item_proto_init() }
func file_v1_order_model_cancel_fast_deal_item_proto_init() {
	if File_v1_order_model_cancel_fast_deal_item_proto != nil {
		return
	}
	file_v1_order_common_proto_init()
	file_v1_order_enum_proto_init()
	file_v1_order_model_deal_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CancelFastDealItem); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CancelFastDealItemFilter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListCancelFastDealItemRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListCancelFastDealItemResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetCancelFastDealItemRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetCancelFastDealItemResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveCancelFastDealItemRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveCancelFastDealItemResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_cancel_fast_deal_item_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CancelFastDealItem_StatusValue); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_order_model_cancel_fast_deal_item_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   9,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_order_model_cancel_fast_deal_item_proto_goTypes,
		DependencyIndexes: file_v1_order_model_cancel_fast_deal_item_proto_depIdxs,
		EnumInfos:         file_v1_order_model_cancel_fast_deal_item_proto_enumTypes,
		MessageInfos:      file_v1_order_model_cancel_fast_deal_item_proto_msgTypes,
	}.Build()
	File_v1_order_model_cancel_fast_deal_item_proto = out.File
	file_v1_order_model_cancel_fast_deal_item_proto_rawDesc = nil
	file_v1_order_model_cancel_fast_deal_item_proto_goTypes = nil
	file_v1_order_model_cancel_fast_deal_item_proto_depIdxs = nil
}
